{
	"info": {
		"name": "CryptoProcessing API",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json"
	},
	"item": [
		{
			"name": "Generate a user deposit address",
			"request": {
				"method": "POST",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"currency\": \"USDC\",\n    \"foreign_id\": \"user_12345\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    }\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/addresses/take",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"addresses",
						"take"
					]
				},
				"description": "This request has 2 saved examples below (expand the arrow next to the request name): \"Get a USDC deposit address\", \"Get a USDC address that converts deposits to USD\". Each uses a different request body. Open an example and click its **Body** tab to see the exact payload -- Postman opens on the Params tab by default, which is always empty here since this API sends its data as a JSON body, not as query parameters."
			},
			"response": [
				{
					"name": "Get a USDC deposit address",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/addresses/take",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"addresses",
								"take"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"currency\": \"USDC\",\n    \"foreign_id\": \"user_12345\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": 3859599,\n        \"currency\": \"USDC\",\n        \"address\": \"0x35f6005cfA94a1c030B8c4dfcc29D4eB8a6865bF\",\n        \"tag\": null,\n        \"foreign_id\": \"user_12345\",\n        \"end_user_reference\": \"user_12345\"\n    }\n}"
				},
				{
					"name": "Get a USDC address that converts deposits to USD",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/addresses/take",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"addresses",
								"take"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"currency\": \"USDC\",\n    \"convert_to\": \"USD\",\n    \"foreign_id\": \"user_12345\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": 3859601,\n        \"currency\": \"USDC\",\n        \"convert_to\": \"USD\",\n        \"address\": \"0x360669C460894e27fc875cf674268D81f9e6512c\",\n        \"tag\": null,\n        \"foreign_id\": \"user_12345\",\n        \"end_user_reference\": \"user_12345\"\n    }\n}"
				}
			]
		},
		{
			"name": "Withdraw crypto",
			"request": {
				"method": "POST",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"currency\": \"USDC\",\n    \"amount\": \"100\",\n    \"address\": \"0x35f6005cfA94a1c030B8c4dfcc29D4eB8a6865bF\",\n    \"foreign_id\": \"withdrawal_123\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    },\n    \"receiver_type\": \"natural\",\n    \"receiver_data\": {\n        \"first_name\": \"Chris\",\n        \"last_name\": \"Customer\",\n        \"date_of_birth\": \"1970-01-01\"\n    }\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/withdrawal/crypto",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"withdrawal",
						"crypto"
					]
				},
				"description": "This request has 4 saved examples below (expand the arrow next to the request name): \"Withdraw USDC\", \"Convert USD and withdraw the USDC\", \"Convert USD to withdraw an exact USDC amount\", \"Withdraw XRP with a destination tag\". Each uses a different request body. Open an example and click its **Body** tab to see the exact payload -- Postman opens on the Params tab by default, which is always empty here since this API sends its data as a JSON body, not as query parameters."
			},
			"response": [
				{
					"name": "Withdraw USDC",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/withdrawal/crypto",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"withdrawal",
								"crypto"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"currency\": \"USDC\",\n    \"amount\": \"100\",\n    \"address\": \"0x35f6005cfA94a1c030B8c4dfcc29D4eB8a6865bF\",\n    \"foreign_id\": \"withdrawal_123\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    },\n    \"receiver_type\": \"natural\",\n    \"receiver_data\": {\n        \"first_name\": \"Chris\",\n        \"last_name\": \"Customer\",\n        \"date_of_birth\": \"1970-01-01\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": 132541615,\n        \"foreign_id\": \"withdrawal_123\",\n        \"end_user_reference\": \"user_12345\",\n        \"type\": \"withdrawal\",\n        \"status\": \"processing\",\n        \"amount\": \"100.00000000\",\n        \"sender_amount\": \"100.00000000\",\n        \"sender_currency\": \"USDC\",\n        \"receiver_currency\": \"USDC\",\n        \"receiver_amount\": \"100.00000000\"\n    }\n}"
				},
				{
					"name": "Convert USD and withdraw the USDC",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/withdrawal/crypto",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"withdrawal",
								"crypto"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"currency\": \"USD\",\n    \"convert_to\": \"USDC\",\n    \"amount\": \"100\",\n    \"address\": \"0x35f6005cfA94a1c030B8c4dfcc29D4eB8a6865bF\",\n    \"foreign_id\": \"withdrawal_123\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    },\n    \"receiver_type\": \"natural\",\n    \"receiver_data\": {\n        \"first_name\": \"Chris\",\n        \"last_name\": \"Customer\",\n        \"date_of_birth\": \"1970-01-01\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": 132541619,\n        \"foreign_id\": \"withdrawal_123\",\n        \"end_user_reference\": \"user_12345\",\n        \"type\": \"withdrawal_exchange\",\n        \"status\": \"processing\",\n        \"amount\": \"100.00000000\",\n        \"sender_amount\": \"100.00000000\",\n        \"sender_currency\": \"USD\",\n        \"receiver_currency\": \"USDC\"\n    }\n}"
				},
				{
					"name": "Convert USD to withdraw an exact USDC amount",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/withdrawal/crypto",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"withdrawal",
								"crypto"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"currency\": \"USD\",\n    \"convert_to\": \"USDC\",\n    \"amount_to\": \"100\",\n    \"address\": \"0x35f6005cfA94a1c030B8c4dfcc29D4eB8a6865bF\",\n    \"foreign_id\": \"withdrawal_123\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    },\n    \"receiver_type\": \"natural\",\n    \"receiver_data\": {\n        \"first_name\": \"Chris\",\n        \"last_name\": \"Customer\",\n        \"date_of_birth\": \"1970-01-01\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": 132541648,\n        \"foreign_id\": \"withdrawal_123\",\n        \"end_user_reference\": \"user_12345\",\n        \"type\": \"withdrawal_exchange\",\n        \"status\": \"processing\",\n        \"sender_currency\": \"USD\",\n        \"receiver_currency\": \"USDC\",\n        \"receiver_amount\": \"100.00000000\"\n    }\n}"
				},
				{
					"name": "Withdraw XRP with a destination tag",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/withdrawal/crypto",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"withdrawal",
								"crypto"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"currency\": \"XRP\",\n    \"amount\": \"50\",\n    \"address\": \"rBRqa43yBn3vmgFyjKpwLifG8F4pAUEibv\",\n    \"tag\": \"12345\",\n    \"foreign_id\": \"withdrawal_123\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    },\n    \"receiver_type\": \"natural\",\n    \"receiver_data\": {\n        \"first_name\": \"Chris\",\n        \"last_name\": \"Customer\",\n        \"date_of_birth\": \"1970-01-01\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": 132541663,\n        \"foreign_id\": \"withdrawal_123\",\n        \"end_user_reference\": \"user_12345\",\n        \"type\": \"withdrawal\",\n        \"status\": \"processing\",\n        \"amount\": \"50.00000000\",\n        \"sender_amount\": \"50.00000000\",\n        \"sender_currency\": \"XRP\",\n        \"receiver_currency\": \"XRP\",\n        \"receiver_amount\": \"50.00000000\"\n    }\n}"
				}
			]
		},
		{
			"name": "Withdraw crypto instantly",
			"request": {
				"method": "POST",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"sender_currency\": \"BTC\",\n    \"sender_amount\": \"0.005\",\n    \"address\": \"bc1qvad39lhdk64gymr78szh4zflf8uk5gtzkdh2eq\",\n    \"foreign_id\": \"withdrawal_123\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    },\n    \"receiver_type\": \"natural\",\n    \"receiver_data\": {\n        \"first_name\": \"Chris\",\n        \"last_name\": \"Customer\",\n        \"date_of_birth\": \"1970-01-01\"\n    }\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/crypto/withdrawal_instant",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"crypto",
						"withdrawal_instant"
					]
				},
				"description": "This request has 2 saved examples below (expand the arrow next to the request name): \"Withdraw BTC to an individual\", \"Withdraw BTC to a company\". Each uses a different request body. Open an example and click its **Body** tab to see the exact payload -- Postman opens on the Params tab by default, which is always empty here since this API sends its data as a JSON body, not as query parameters."
			},
			"response": [
				{
					"name": "Withdraw BTC to an individual",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"BTC\",\n    \"sender_amount\": \"0.005\",\n    \"address\": \"bc1qvad39lhdk64gymr78szh4zflf8uk5gtzkdh2eq\",\n    \"foreign_id\": \"withdrawal_123\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    },\n    \"receiver_type\": \"natural\",\n    \"receiver_data\": {\n        \"first_name\": \"Chris\",\n        \"last_name\": \"Customer\",\n        \"date_of_birth\": \"1970-01-01\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{url}}/api/v2/crypto/withdrawal_instant",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"crypto",
								"withdrawal_instant"
							]
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": 134702815,\n        \"foreign_id\": \"withdrawal_123\",\n        \"end_user_reference\": \"user_12345\",\n        \"type\": \"withdrawal_instant\",\n        \"status\": \"processing\",\n        \"sender_currency\": \"BTC\",\n        \"sender_amount\": \"0.00500000\"\n    }\n}"
				},
				{
					"name": "Withdraw BTC to a company",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"BTC\",\n    \"sender_amount\": \"0.01\",\n    \"address\": \"bc1qvz5ymwdaydckyuvh039jxnjgwfalm5ckm2am6m\",\n    \"foreign_id\": \"withdrawal_124\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    },\n    \"receiver_type\": \"legal\",\n    \"receiver_data\": {\n        \"legal_name\": \"Example Recipient Ltd\",\n        \"country_of_registration\": \"CAN\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{url}}/api/v2/crypto/withdrawal_instant",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"crypto",
								"withdrawal_instant"
							]
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": 134702816,\n        \"foreign_id\": \"withdrawal_124\",\n        \"end_user_reference\": \"user_12345\",\n        \"type\": \"withdrawal_instant\",\n        \"status\": \"processing\",\n        \"sender_currency\": \"BTC\",\n        \"sender_amount\": \"0.01000000\"\n    }\n}"
				}
			]
		},
		{
			"name": "Withdraw crypto instantly with conversion",
			"request": {
				"method": "POST",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"sender_currency\": \"USD\",\n    \"received_currency\": \"BTC\",\n    \"sender_amount\": \"500\",\n    \"address\": \"bc1qvad39lhdk64gymr78szh4zflf8uk5gtzkdh2eq\",\n    \"foreign_id\": \"withdrawal_123\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    },\n    \"receiver_type\": \"natural\",\n    \"receiver_data\": {\n        \"first_name\": \"Chris\",\n        \"last_name\": \"Customer\",\n        \"date_of_birth\": \"1970-01-01\"\n    }\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/crypto/withdrawal_instant_exchange",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"crypto",
						"withdrawal_instant_exchange"
					]
				},
				"description": "This request has 2 saved examples below (expand the arrow next to the request name): \"Convert USD and withdraw BTC to an individual\", \"Convert USDC and withdraw BTC to a company\". Each uses a different request body. Open an example and click its **Body** tab to see the exact payload -- Postman opens on the Params tab by default, which is always empty here since this API sends its data as a JSON body, not as query parameters."
			},
			"response": [
				{
					"name": "Convert USD and withdraw BTC to an individual",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"USD\",\n    \"received_currency\": \"BTC\",\n    \"sender_amount\": \"500\",\n    \"address\": \"bc1qvad39lhdk64gymr78szh4zflf8uk5gtzkdh2eq\",\n    \"foreign_id\": \"withdrawal_123\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    },\n    \"receiver_type\": \"natural\",\n    \"receiver_data\": {\n        \"first_name\": \"Chris\",\n        \"last_name\": \"Customer\",\n        \"date_of_birth\": \"1970-01-01\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{url}}/api/v2/crypto/withdrawal_instant_exchange",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"crypto",
								"withdrawal_instant_exchange"
							]
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": 134702815,\n        \"foreign_id\": \"withdrawal_123\",\n        \"end_user_reference\": \"user_12345\",\n        \"type\": \"withdrawal_instant_exchange\",\n        \"status\": \"processing\",\n        \"sender_currency\": \"USD\",\n        \"sender_amount\": \"500.00000000\",\n        \"receiver_currency\": \"BTC\",\n        \"receiver_amount\": \"0.00000000\"\n    }\n}"
				},
				{
					"name": "Convert USDC and withdraw BTC to a company",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"USDC\",\n    \"received_currency\": \"BTC\",\n    \"sender_amount\": \"800\",\n    \"address\": \"bc1qvz5ymwdaydckyuvh039jxnjgwfalm5ckm2am6m\",\n    \"foreign_id\": \"withdrawal_124\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    },\n    \"receiver_type\": \"legal\",\n    \"receiver_data\": {\n        \"legal_name\": \"Example Recipient Ltd\",\n        \"country_of_registration\": \"CAN\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{url}}/api/v2/crypto/withdrawal_instant_exchange",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"crypto",
								"withdrawal_instant_exchange"
							]
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": 134702816,\n        \"foreign_id\": \"withdrawal_124\",\n        \"end_user_reference\": \"user_12345\",\n        \"type\": \"withdrawal_instant_exchange\",\n        \"status\": \"processing\",\n        \"sender_currency\": \"USDC\",\n        \"sender_amount\": \"800.00000000\",\n        \"receiver_currency\": \"BTC\",\n        \"receiver_amount\": \"0.00000000\"\n    }\n}"
				}
			]
		},
		{
			"name": "Create a payment request",
			"request": {
				"method": "POST",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"amount\": \"100\",\n    \"currency\": {\n        \"iso\": \"USD\"\n    },\n    \"life_time_duration\": 3600,\n    \"end_user_email\": \"chris.customer@example.com\",\n    \"description\": \"Order 0511\",\n    \"foreign_id\": \"payment_request_123\",\n    \"url_store\": \"https://example.com/store\",\n    \"url_success\": \"https://example.com/success\",\n    \"url_failed\": \"https://example.com/failed\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    }\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/payments/v1/requests",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"payments",
						"v1",
						"requests"
					]
				},
				"description": "This request has 6 saved examples below (expand the arrow next to the request name): \"Request 100 USD, paid in a cryptocurrency the customer chooses\", \"Request 50 USDC on Ethereum\", \"Request 100 USD until a set date and time\", \"Request 100 USD paid in USDC at a rate locked for 1 hour\", \"Request 100 USD paid in USDC, with the customer paying the fee\", \"Request 100 USD paid in XRP, with a destination tag\". Each uses a different request body. Open an example and click its **Body** tab to see the exact payload -- Postman opens on the Params tab by default, which is always empty here since this API sends its data as a JSON body, not as query parameters."
			},
			"response": [
				{
					"name": "Request 100 USD, paid in a cryptocurrency the customer chooses",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/payments/v1/requests",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"payments",
								"v1",
								"requests"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"amount\": \"100\",\n    \"currency\": {\n        \"iso\": \"USD\"\n    },\n    \"life_time_duration\": 3600,\n    \"end_user_email\": \"chris.customer@example.com\",\n    \"description\": \"Order 0511\",\n    \"foreign_id\": \"payment_request_123\",\n    \"url_store\": \"https://example.com/store\",\n    \"url_success\": \"https://example.com/success\",\n    \"url_failed\": \"https://example.com/failed\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": \"019d511c-9fd2-7e71-b534-74e8abd855f1\",\n        \"amount\": \"100\",\n        \"currency\": {\n            \"iso\": \"USD\"\n        },\n        \"user_fee_percent\": 0,\n        \"status\": \"created\",\n        \"rate_mode\": \"standard\",\n        \"life_time\": 1775542323,\n        \"end_user_email\": \"chris.customer@example.com\",\n        \"description\": \"Order 0511\",\n        \"payment_link\": \"https://payments.ca.cryptoprocessing.com/payment/lLXLZ6Q8lCwFFRbyW0C1ET\",\n        \"foreign_id\": \"payment_request_123\",\n        \"url_store\": \"https://example.com/store\",\n        \"url_success\": \"https://example.com/success\",\n        \"url_failed\": \"https://example.com/failed\",\n        \"end_user_reference\": \"user_12345\"\n    }\n}"
				},
				{
					"name": "Request 50 USDC on Ethereum",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/payments/v1/requests",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"payments",
								"v1",
								"requests"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"amount\": \"50\",\n    \"currency\": {\n        \"iso\": \"USDC\",\n        \"network_name\": \"ethereum\"\n    },\n    \"life_time_duration\": 3600,\n    \"end_user_email\": \"chris.customer@example.com\",\n    \"description\": \"Order 0511\",\n    \"foreign_id\": \"payment_request_123\",\n    \"url_store\": \"https://example.com/store\",\n    \"url_success\": \"https://example.com/success\",\n    \"url_failed\": \"https://example.com/failed\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": \"019d511c-1546-7c34-a916-a2610a198448\",\n        \"amount\": \"50\",\n        \"currency\": {\n            \"iso\": \"USDC\",\n            \"network_name\": \"ethereum\"\n        },\n        \"user_fee_percent\": 0,\n        \"status\": \"created\",\n        \"rate_mode\": \"standard\",\n        \"life_time\": 1775542288,\n        \"end_user_email\": \"chris.customer@example.com\",\n        \"description\": \"Order 0511\",\n        \"payment_link\": \"https://payments.ca.cryptoprocessing.com/payment/8N8_cWBnfAbT12mR5JmPVf\",\n        \"foreign_id\": \"payment_request_123\",\n        \"url_store\": \"https://example.com/store\",\n        \"url_success\": \"https://example.com/success\",\n        \"url_failed\": \"https://example.com/failed\",\n        \"end_user_reference\": \"user_12345\"\n    }\n}"
				},
				{
					"name": "Request 100 USD until a set date and time",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/payments/v1/requests",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"payments",
								"v1",
								"requests"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"amount\": \"100\",\n    \"currency\": {\n        \"iso\": \"USD\"\n    },\n    \"life_time_date_time\": 1775625123,\n    \"foreign_id\": \"payment_request_123\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": \"019d511d-03a8-7b1e-9c42-5f0e8a6d2b71\",\n        \"amount\": \"100\",\n        \"currency\": {\n            \"iso\": \"USD\"\n        },\n        \"user_fee_percent\": 0,\n        \"status\": \"created\",\n        \"rate_mode\": \"standard\",\n        \"life_time\": 1775625123,\n        \"payment_link\": \"https://payments.ca.cryptoprocessing.com/payment/Vq3T9sWb2KxL7nRf0aYcPe\",\n        \"foreign_id\": \"payment_request_123\"\n    }\n}"
				},
				{
					"name": "Request 100 USD paid in USDC at a rate locked for 1 hour",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/payments/v1/requests",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"payments",
								"v1",
								"requests"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"amount\": \"100\",\n    \"currency\": {\n        \"iso\": \"USD\"\n    },\n    \"rate_mode\": \"fixed\",\n    \"life_time_duration\": 3600,\n    \"payment_currency\": {\n        \"iso\": \"USDC\",\n        \"network_name\": \"ethereum\"\n    },\n    \"end_user_email\": \"chris.customer@example.com\",\n    \"description\": \"Order 0511\",\n    \"foreign_id\": \"payment_request_123\",\n    \"url_store\": \"https://example.com/store\",\n    \"url_success\": \"https://example.com/success\",\n    \"url_failed\": \"https://example.com/failed\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": \"019d511d-4c1f-7a63-8e27-91b5d0c3f6a8\",\n        \"amount\": \"100\",\n        \"currency\": {\n            \"iso\": \"USD\"\n        },\n        \"user_fee_percent\": 0,\n        \"status\": \"processing\",\n        \"rate_mode\": \"fixed\",\n        \"life_time\": 1775542323,\n        \"valid_until\": 1775542323,\n        \"payment_currency\": {\n            \"iso\": \"USDC\",\n            \"network_name\": \"ethereum\"\n        },\n        \"end_user_email\": \"chris.customer@example.com\",\n        \"description\": \"Order 0511\",\n        \"payment_link\": \"https://payments.ca.cryptoprocessing.com/payment/Hk4Pz8Lw1Nq6Ys3Rt7Uv0B\",\n        \"foreign_id\": \"payment_request_123\",\n        \"url_store\": \"https://example.com/store\",\n        \"url_success\": \"https://example.com/success\",\n        \"url_failed\": \"https://example.com/failed\",\n        \"end_user_reference\": \"user_12345\",\n        \"payment_details\": {\n            \"address\": {\n                \"value\": \"0x3b6c3c0b5d8f8c2B4e0A9D4F5b1f21C9C8A1B2C3\"\n            },\n            \"expected_amount\": \"100.29\",\n            \"expected_currency\": {\n                \"iso\": \"USDC\",\n                \"network_name\": \"ethereum\"\n            },\n            \"exchange_rate\": {\n                \"from\": {\n                    \"iso\": \"USDC\",\n                    \"network_name\": \"ethereum\"\n                },\n                \"to\": {\n                    \"iso\": \"USD\"\n                },\n                \"rate\": \"1.00\"\n            }\n        }\n    }\n}"
				},
				{
					"name": "Request 100 USD paid in USDC, with the customer paying the fee",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/payments/v1/requests",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"payments",
								"v1",
								"requests"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"amount\": \"100\",\n    \"currency\": {\n        \"iso\": \"USD\"\n    },\n    \"rate_mode\": \"fixed\",\n    \"user_fee_percent\": 100,\n    \"life_time_duration\": 3600,\n    \"payment_currency\": {\n        \"iso\": \"USDC\",\n        \"network_name\": \"ethereum\"\n    },\n    \"end_user_email\": \"chris.customer@example.com\",\n    \"description\": \"Order 0511\",\n    \"foreign_id\": \"payment_request_123\",\n    \"url_store\": \"https://example.com/store\",\n    \"url_success\": \"https://example.com/success\",\n    \"url_failed\": \"https://example.com/failed\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": \"019d511d-7e90-74c5-b1d8-3a6f2c9e0d14\",\n        \"amount\": \"100\",\n        \"currency\": {\n            \"iso\": \"USD\"\n        },\n        \"user_fee_percent\": 100,\n        \"status\": \"processing\",\n        \"rate_mode\": \"fixed\",\n        \"life_time\": 1775542323,\n        \"valid_until\": 1775542323,\n        \"payment_currency\": {\n            \"iso\": \"USDC\",\n            \"network_name\": \"ethereum\"\n        },\n        \"end_user_email\": \"chris.customer@example.com\",\n        \"description\": \"Order 0511\",\n        \"payment_link\": \"https://payments.ca.cryptoprocessing.com/payment/Zm2Xc5Bv8Nl1Kj4Hg7Fd3S\",\n        \"foreign_id\": \"payment_request_123\",\n        \"url_store\": \"https://example.com/store\",\n        \"url_success\": \"https://example.com/success\",\n        \"url_failed\": \"https://example.com/failed\",\n        \"end_user_reference\": \"user_12345\",\n        \"payment_details\": {\n            \"address\": {\n                \"value\": \"0x7D2e9a4C1B6f3e8d5C0A2f7B9E4D1a6c3b8F5e2d\"\n            },\n            \"expected_amount\": \"101.79\",\n            \"expected_currency\": {\n                \"iso\": \"USDC\",\n                \"network_name\": \"ethereum\"\n            },\n            \"exchange_rate\": {\n                \"from\": {\n                    \"iso\": \"USDC\",\n                    \"network_name\": \"ethereum\"\n                },\n                \"to\": {\n                    \"iso\": \"USD\"\n                },\n                \"rate\": \"1.00\"\n            },\n            \"fee\": {\n                \"amount\": \"1.5\",\n                \"currency\": {\n                    \"iso\": \"USD\"\n                }\n            }\n        }\n    }\n}"
				},
				{
					"name": "Request 100 USD paid in XRP, with a destination tag",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/payments/v1/requests",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"payments",
								"v1",
								"requests"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"amount\": \"100\",\n    \"currency\": {\n        \"iso\": \"USD\"\n    },\n    \"rate_mode\": \"fixed\",\n    \"life_time_duration\": 3600,\n    \"payment_currency\": {\n        \"iso\": \"XRP\",\n        \"network_name\": \"ripple\"\n    },\n    \"end_user_email\": \"chris.customer@example.com\",\n    \"description\": \"Order 0511\",\n    \"foreign_id\": \"payment_request_123\",\n    \"url_store\": \"https://example.com/store\",\n    \"url_success\": \"https://example.com/success\",\n    \"url_failed\": \"https://example.com/failed\",\n    \"end_user_reference\": \"user_12345\",\n    \"sender_type\": \"legal\",\n    \"sender_data\": {\n        \"legal_name\": \"Example Customer\",\n        \"country_of_registration\": \"CAN\"\n    }\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"id\": \"019d511d-9a3e-7d52-a6c1-4e8f0b2d7c95\",\n        \"amount\": \"100\",\n        \"currency\": {\n            \"iso\": \"USD\"\n        },\n        \"user_fee_percent\": 0,\n        \"status\": \"processing\",\n        \"rate_mode\": \"fixed\",\n        \"life_time\": 1775542323,\n        \"valid_until\": 1775542323,\n        \"payment_currency\": {\n            \"iso\": \"XRP\",\n            \"network_name\": \"ripple\"\n        },\n        \"end_user_email\": \"chris.customer@example.com\",\n        \"description\": \"Order 0511\",\n        \"payment_link\": \"https://payments.ca.cryptoprocessing.com/payment/Xr7Tg2Mq9Wd4Lp1Bn6Kc3V\",\n        \"foreign_id\": \"payment_request_123\",\n        \"url_store\": \"https://example.com/store\",\n        \"url_success\": \"https://example.com/success\",\n        \"url_failed\": \"https://example.com/failed\",\n        \"end_user_reference\": \"user_12345\",\n        \"payment_details\": {\n            \"address\": {\n                \"value\": \"rsF9GFU6Z92u4H9H7Rw3qbhvMZ7FxDjwrG\",\n                \"tag\": \"67890\"\n            },\n            \"expected_amount\": \"66.666667\",\n            \"expected_currency\": {\n                \"iso\": \"XRP\",\n                \"network_name\": \"ripple\"\n            },\n            \"exchange_rate\": {\n                \"from\": {\n                    \"iso\": \"XRP\",\n                    \"network_name\": \"ripple\"\n                },\n                \"to\": {\n                    \"iso\": \"USD\"\n                },\n                \"rate\": \"1.50\"\n            }\n        }\n    }\n}"
				}
			]
		},
		{
			"name": "List supported currencies",
			"request": {
				"method": "POST",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/currencies/list",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"currencies",
						"list"
					]
				},
				"description": "This request has 3 saved examples below (expand the arrow next to the request name): \"All supported currencies\", \"Enabled currencies shown on the Balances tab\", \"Enabled currencies hidden from the Balances tab\". Each uses a different request body. Open an example and click its **Body** tab to see the exact payload -- Postman opens on the Params tab by default, which is always empty here since this API sends its data as a JSON body, not as query parameters."
			},
			"response": [
				{
					"name": "All supported currencies",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{url}}/api/v2/currencies/list",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"currencies",
								"list"
							]
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": [\n        {\n            \"id\": 1,\n            \"type\": \"crypto\",\n            \"currency\": \"BTC\",\n            \"minimum_amount\": \"0.00010000\",\n            \"minimum_withdrawal_amount\": \"0.00020000\",\n            \"deposit_confirmations\": 1,\n            \"deposit_fee_percent\": \"0.000700\",\n            \"withdrawal_fee_percent\": \"0.010000\",\n            \"precision\": 8\n        },\n        {\n            \"id\": 5,\n            \"type\": \"crypto\",\n            \"currency\": \"ETH\",\n            \"minimum_amount\": \"0.00200000\",\n            \"minimum_withdrawal_amount\": \"0.00200000\",\n            \"deposit_confirmations\": 10,\n            \"deposit_fee_percent\": \"0.010000\",\n            \"withdrawal_fee_percent\": \"0.000000\",\n            \"precision\": 8\n        },\n        {\n            \"id\": 20,\n            \"type\": \"fiat\",\n            \"currency\": \"USD\",\n            \"minimum_amount\": \"0.00000000\",\n            \"minimum_withdrawal_amount\": \"0.00000000\",\n            \"deposit_fee_percent\": \"0.000000\",\n            \"withdrawal_fee_percent\": \"0.000000\",\n            \"precision\": 8\n        },\n        {\n            \"id\": 87,\n            \"type\": \"crypto\",\n            \"currency\": \"USDC\",\n            \"minimum_amount\": \"5.00000000\",\n            \"minimum_withdrawal_amount\": \"5.00000000\",\n            \"deposit_confirmations\": 10,\n            \"deposit_fee_percent\": \"0.010000\",\n            \"withdrawal_fee_percent\": \"0.000000\",\n            \"precision\": 8\n        }\n    ]\n}"
				},
				{
					"name": "Enabled currencies shown on the Balances tab",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n    \"visible\": true\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{url}}/api/v2/currencies/list",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"currencies",
								"list"
							]
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": [\n        {\n            \"id\": 1,\n            \"type\": \"crypto\",\n            \"currency\": \"BTC\",\n            \"minimum_amount\": \"0.00010000\",\n            \"minimum_withdrawal_amount\": \"0.00020000\",\n            \"deposit_confirmations\": 1,\n            \"deposit_fee_percent\": \"0.000700\",\n            \"withdrawal_fee_percent\": \"0.010000\",\n            \"precision\": 8\n        },\n        {\n            \"id\": 20,\n            \"type\": \"fiat\",\n            \"currency\": \"USD\",\n            \"minimum_amount\": \"0.00000000\",\n            \"minimum_withdrawal_amount\": \"0.00000000\",\n            \"deposit_fee_percent\": \"0.000000\",\n            \"withdrawal_fee_percent\": \"0.000000\",\n            \"precision\": 8\n        },\n        {\n            \"id\": 87,\n            \"type\": \"crypto\",\n            \"currency\": \"USDC\",\n            \"minimum_amount\": \"5.00000000\",\n            \"minimum_withdrawal_amount\": \"5.00000000\",\n            \"deposit_confirmations\": 10,\n            \"deposit_fee_percent\": \"0.010000\",\n            \"withdrawal_fee_percent\": \"0.000000\",\n            \"precision\": 8\n        }\n    ]\n}"
				},
				{
					"name": "Enabled currencies hidden from the Balances tab",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n    \"visible\": false\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{url}}/api/v2/currencies/list",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"currencies",
								"list"
							]
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": [\n        {\n            \"id\": 5,\n            \"type\": \"crypto\",\n            \"currency\": \"ETH\",\n            \"minimum_amount\": \"0.00200000\",\n            \"minimum_withdrawal_amount\": \"0.00200000\",\n            \"deposit_confirmations\": 10,\n            \"deposit_fee_percent\": \"0.010000\",\n            \"withdrawal_fee_percent\": \"0.000000\",\n            \"precision\": 8\n        }\n    ]\n}"
				}
			]
		},
		{
			"name": "Get exchange rates",
			"request": {
				"method": "POST",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"currency_from\": \"USDC\",\n    \"currency_to\": \"USD\"\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/currencies/rates",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"currencies",
						"rates"
					]
				},
				"description": "This request has 3 saved examples below (expand the arrow next to the request name): \"USDC to USD rate\", \"All rates from USDC\", \"All rates to USD\". Each uses a different request body. Open an example and click its **Body** tab to see the exact payload -- Postman opens on the Params tab by default, which is always empty here since this API sends its data as a JSON body, not as query parameters."
			},
			"response": [
				{
					"name": "USDC to USD rate",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/currencies/rates",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"currencies",
								"rates"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"currency_from\": \"USDC\",\n    \"currency_to\": \"USD\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": [\n        {\n            \"currency_from\": {\n                \"currency\": \"USDC\",\n                \"type\": \"crypto\",\n                \"min_amount\": \"5.00000000\",\n                \"min_amount_deposit_with_exchange\": \"5.00000000\"\n            },\n            \"currency_to\": {\n                \"currency\": \"USD\",\n                \"type\": \"fiat\"\n            },\n            \"rate_from\": \"1\",\n            \"rate_to\": \"0.99978134\"\n        }\n    ]\n}"
				},
				{
					"name": "All rates from USDC",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/currencies/rates",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"currencies",
								"rates"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"currency_from\": \"USDC\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": [\n        {\n            \"currency_from\": {\n                \"currency\": \"USDC\",\n                \"type\": \"crypto\",\n                \"min_amount\": \"5.00000000\",\n                \"min_amount_deposit_with_exchange\": \"5.00000000\"\n            },\n            \"currency_to\": {\n                \"currency\": \"ETH\",\n                \"type\": \"crypto\"\n            },\n            \"rate_from\": \"1\",\n            \"rate_to\": \"0.00040577\"\n        },\n        {\n            \"currency_from\": {\n                \"currency\": \"USDC\",\n                \"type\": \"crypto\",\n                \"min_amount\": \"5.00000000\",\n                \"min_amount_deposit_with_exchange\": \"5.00000000\"\n            },\n            \"currency_to\": {\n                \"currency\": \"LTC\",\n                \"type\": \"crypto\"\n            },\n            \"rate_from\": \"1\",\n            \"rate_to\": \"0.02235642\"\n        },\n        {\n            \"currency_from\": {\n                \"currency\": \"USDC\",\n                \"type\": \"crypto\",\n                \"min_amount\": \"5.00000000\",\n                \"min_amount_deposit_with_exchange\": \"5.00000000\"\n            },\n            \"currency_to\": {\n                \"currency\": \"USD\",\n                \"type\": \"fiat\"\n            },\n            \"rate_from\": \"1\",\n            \"rate_to\": \"0.99978134\"\n        }\n    ]\n}"
				},
				{
					"name": "All rates to USD",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/currencies/rates",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"currencies",
								"rates"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"currency_to\": \"USD\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": [\n        {\n            \"currency_from\": {\n                \"currency\": \"BTC\",\n                \"type\": \"crypto\",\n                \"min_amount\": \"0.00010000\",\n                \"min_amount_deposit_with_exchange\": \"0.00010000\"\n            },\n            \"currency_to\": {\n                \"currency\": \"USD\",\n                \"type\": \"fiat\"\n            },\n            \"rate_from\": \"1\",\n            \"rate_to\": \"80425.69320400\"\n        },\n        {\n            \"currency_from\": {\n                \"currency\": \"ETH\",\n                \"type\": \"crypto\",\n                \"min_amount\": \"0.00300000\",\n                \"min_amount_deposit_with_exchange\": \"0.00200000\"\n            },\n            \"currency_to\": {\n                \"currency\": \"USD\",\n                \"type\": \"fiat\"\n            },\n            \"rate_from\": \"1\",\n            \"rate_to\": \"2463.88658726\"\n        },\n        {\n            \"currency_from\": {\n                \"currency\": \"USDC\",\n                \"type\": \"crypto\",\n                \"min_amount\": \"5.00000000\",\n                \"min_amount_deposit_with_exchange\": \"5.00000000\"\n            },\n            \"currency_to\": {\n                \"currency\": \"USD\",\n                \"type\": \"fiat\"\n            },\n            \"rate_from\": \"1\",\n            \"rate_to\": \"0.99978134\"\n        }\n    ]\n}"
				}
			]
		},
		{
			"name": "Exchange at market rate",
			"request": {
				"method": "POST",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"sender_currency\": \"USDC\",\n    \"receiver_currency\": \"USD\",\n    \"sender_amount\": 100,\n    \"foreign_id\": \"exchange_123\"\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/exchange/now",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"exchange",
						"now"
					]
				},
				"description": "This request has 3 saved examples below (expand the arrow next to the request name): \"Convert 100 USDC to USD\", \"Convert USDC to receive 100 USD\", \"Convert 0.01 ETH to USDC\". Each uses a different request body. Open an example and click its **Body** tab to see the exact payload -- Postman opens on the Params tab by default, which is always empty here since this API sends its data as a JSON body, not as query parameters."
			},
			"response": [
				{
					"name": "Convert 100 USDC to USD",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/exchange/now",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"exchange",
								"now"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"USDC\",\n    \"receiver_currency\": \"USD\",\n    \"sender_amount\": 100,\n    \"foreign_id\": \"exchange_123\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"sender_currency\": \"USDC\",\n        \"sender_amount\": \"100.00000000\",\n        \"receiver_currency\": \"USD\",\n        \"receiver_amount\": \"99.97813400\",\n        \"fee_currency\": \"USD\",\n        \"fee_amount\": \"0.99978134\",\n        \"price\": \"0.99978134\",\n        \"id\": 132541744,\n        \"foreign_id\": \"exchange_123\",\n        \"type\": \"exchange\",\n        \"status\": \"processing\"\n    }\n}"
				},
				{
					"name": "Convert USDC to receive 100 USD",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/exchange/now",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"exchange",
								"now"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"USDC\",\n    \"receiver_currency\": \"USD\",\n    \"receiver_amount\": 100,\n    \"foreign_id\": \"exchange_123\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"sender_currency\": \"USDC\",\n        \"sender_amount\": \"100.01959184\",\n        \"receiver_currency\": \"USD\",\n        \"receiver_amount\": \"100.00000000\",\n        \"fee_currency\": \"USD\",\n        \"fee_amount\": \"1.00000000\",\n        \"price\": \"0.99980412\",\n        \"id\": 132541748,\n        \"foreign_id\": \"exchange_123\",\n        \"type\": \"exchange\",\n        \"status\": \"processing\"\n    }\n}"
				},
				{
					"name": "Convert 0.01 ETH to USDC",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/exchange/now",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"exchange",
								"now"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"ETH\",\n    \"receiver_currency\": \"USDC\",\n    \"sender_amount\": \"0.01\",\n    \"foreign_id\": \"exchange_123\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"sender_currency\": \"ETH\",\n        \"sender_amount\": \"0.01000000\",\n        \"receiver_currency\": \"USDC\",\n        \"receiver_amount\": \"24.64107735\",\n        \"fee_currency\": \"USDC\",\n        \"fee_amount\": \"0.02464107\",\n        \"price\": \"2464.10773508\",\n        \"id\": 132541752,\n        \"foreign_id\": \"exchange_123\",\n        \"type\": \"exchange\",\n        \"status\": \"processing\"\n    }\n}"
				}
			]
		},
		{
			"name": "Get a fixed exchange quote",
			"request": {
				"method": "POST",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"sender_currency\": \"USDC\",\n    \"receiver_currency\": \"USD\",\n    \"sender_amount\": 100\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/exchange/calculate",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"exchange",
						"calculate"
					]
				},
				"description": "This request has 3 saved examples below (expand the arrow next to the request name): \"Get a quote to convert 100 USDC to USD\", \"Get a quote to receive 100 USD for USDC\", \"Get a quote to convert 0.01 ETH to USDC\". Each uses a different request body. Open an example and click its **Body** tab to see the exact payload -- Postman opens on the Params tab by default, which is always empty here since this API sends its data as a JSON body, not as query parameters."
			},
			"response": [
				{
					"name": "Get a quote to convert 100 USDC to USD",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/exchange/calculate",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"exchange",
								"calculate"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"USDC\",\n    \"receiver_currency\": \"USD\",\n    \"sender_amount\": 100\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"sender_currency\": \"USDC\",\n        \"sender_amount\": \"100.00000000\",\n        \"receiver_currency\": \"USD\",\n        \"receiver_amount\": \"99.97813400\",\n        \"fee_currency\": \"USD\",\n        \"fee_amount\": \"0.99978134\",\n        \"price\": \"0.99978134\",\n        \"ts_fixed\": 1782219422,\n        \"ts_release\": 1782219482,\n        \"fix_period\": 60\n    }\n}"
				},
				{
					"name": "Get a quote to receive 100 USD for USDC",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/exchange/calculate",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"exchange",
								"calculate"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"USDC\",\n    \"receiver_currency\": \"USD\",\n    \"receiver_amount\": 100\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"sender_currency\": \"USDC\",\n        \"sender_amount\": \"100.01959184\",\n        \"receiver_currency\": \"USD\",\n        \"receiver_amount\": \"100.00000000\",\n        \"fee_currency\": \"USD\",\n        \"fee_amount\": \"1.00000000\",\n        \"price\": \"0.99980412\",\n        \"ts_fixed\": 1782219490,\n        \"ts_release\": 1782219550,\n        \"fix_period\": 60\n    }\n}"
				},
				{
					"name": "Get a quote to convert 0.01 ETH to USDC",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/exchange/calculate",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"exchange",
								"calculate"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"ETH\",\n    \"receiver_currency\": \"USDC\",\n    \"sender_amount\": \"0.01\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"sender_currency\": \"ETH\",\n        \"sender_amount\": \"0.01000000\",\n        \"receiver_currency\": \"USDC\",\n        \"receiver_amount\": \"24.64107735\",\n        \"fee_currency\": \"USDC\",\n        \"fee_amount\": \"0.02464107\",\n        \"price\": \"2464.10773508\",\n        \"ts_fixed\": 1782219560,\n        \"ts_release\": 1782219620,\n        \"fix_period\": 60\n    }\n}"
				}
			]
		},
		{
			"name": "Exchange at a fixed rate",
			"request": {
				"method": "POST",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"sender_currency\": \"USDC\",\n    \"receiver_currency\": \"USD\",\n    \"sender_amount\": 100,\n    \"foreign_id\": \"exchange_123\",\n    \"price\": \"0.99978134\"\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/exchange/fixed",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"exchange",
						"fixed"
					]
				},
				"description": "This request has 3 saved examples below (expand the arrow next to the request name): \"Convert 100 USDC to USD\", \"Convert USDC to receive 100 USD\", \"Convert 0.01 ETH to USDC\". Each uses a different request body. Open an example and click its **Body** tab to see the exact payload -- Postman opens on the Params tab by default, which is always empty here since this API sends its data as a JSON body, not as query parameters."
			},
			"response": [
				{
					"name": "Convert 100 USDC to USD",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/exchange/fixed",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"exchange",
								"fixed"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"USDC\",\n    \"receiver_currency\": \"USD\",\n    \"sender_amount\": 100,\n    \"foreign_id\": \"exchange_123\",\n    \"price\": \"0.99978134\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"sender_currency\": \"USDC\",\n        \"sender_amount\": \"100.00000000\",\n        \"receiver_currency\": \"USD\",\n        \"receiver_amount\": \"99.97813400\",\n        \"fee_currency\": \"USD\",\n        \"fee_amount\": \"0.99978134\",\n        \"price\": \"0.99978134\",\n        \"id\": 132541744,\n        \"foreign_id\": \"exchange_123\",\n        \"type\": \"exchange\",\n        \"status\": \"processing\"\n    }\n}"
				},
				{
					"name": "Convert USDC to receive 100 USD",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/exchange/fixed",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"exchange",
								"fixed"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"USDC\",\n    \"receiver_currency\": \"USD\",\n    \"receiver_amount\": 100,\n    \"foreign_id\": \"exchange_123\",\n    \"price\": \"0.99980412\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"sender_currency\": \"USDC\",\n        \"sender_amount\": \"100.01959184\",\n        \"receiver_currency\": \"USD\",\n        \"receiver_amount\": \"100.00000000\",\n        \"fee_currency\": \"USD\",\n        \"fee_amount\": \"1.00000000\",\n        \"price\": \"0.99980412\",\n        \"id\": 132541748,\n        \"foreign_id\": \"exchange_123\",\n        \"type\": \"exchange\",\n        \"status\": \"processing\"\n    }\n}"
				},
				{
					"name": "Convert 0.01 ETH to USDC",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{url}}/api/v2/exchange/fixed",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"exchange",
								"fixed"
							]
						},
						"body": {
							"mode": "raw",
							"raw": "{\n    \"sender_currency\": \"ETH\",\n    \"receiver_currency\": \"USDC\",\n    \"sender_amount\": \"0.01\",\n    \"foreign_id\": \"exchange_123\",\n    \"price\": \"2464.10773508\"\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						}
					},
					"status": "Created",
					"code": 201,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": {\n        \"sender_currency\": \"ETH\",\n        \"sender_amount\": \"0.01000000\",\n        \"receiver_currency\": \"USDC\",\n        \"receiver_amount\": \"24.64107735\",\n        \"fee_currency\": \"USDC\",\n        \"fee_amount\": \"0.02464107\",\n        \"price\": \"2464.10773508\",\n        \"id\": 132541752,\n        \"foreign_id\": \"exchange_123\",\n        \"type\": \"exchange\",\n        \"status\": \"processing\"\n    }\n}"
				}
			]
		},
		{
			"name": "Get transaction details by ID",
			"protocolProfileBehavior": {
				"disableBodyPruning": true
			},
			"request": {
				"method": "GET",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"id\": 134702831\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/transactions/info",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"transactions",
						"info"
					]
				},
				"description": "Finds a transaction by its `id`, the transaction ID in the response to the request that created it and in its callbacks. Send exactly one of `id`, `foreign_id` or `txid` in the body. Open the **Body** tab to see it: Postman opens on the Params tab, which is always empty here, since this API sends its data as a JSON body, not as query parameters."
			},
			"response": []
		},
		{
			"name": "Get transaction details by foreign ID",
			"protocolProfileBehavior": {
				"disableBodyPruning": true
			},
			"request": {
				"method": "GET",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"foreign_id\": \"withdrawal_123\"\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/transactions/info",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"transactions",
						"info"
					]
				},
				"description": "Finds a withdrawal or an exchange by the `foreign_id` you sent when you created it. Send exactly one of `id`, `foreign_id` or `txid` in the body. Open the **Body** tab to see it: Postman opens on the Params tab, which is always empty here, since this API sends its data as a JSON body, not as query parameters."
			},
			"response": []
		},
		{
			"name": "Get transaction details by transaction hash",
			"protocolProfileBehavior": {
				"disableBodyPruning": true
			},
			"request": {
				"method": "GET",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\n    \"txid\": \"3950ad8149421a850d01dff88f024810e363ac18c9e8dd9bc0b9116e7937ad93\"\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/transactions/info",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"transactions",
						"info"
					]
				},
				"description": "Finds a transaction by the `txid` of one of its `transactions` entries: a blockchain transaction hash, or an internal transfer ID. Send exactly one of `id`, `foreign_id` or `txid` in the body. Open the **Body** tab to see it: Postman opens on the Params tab, which is always empty here, since this API sends its data as a JSON body, not as query parameters."
			},
			"response": []
		},
		{
			"name": "List balances",
			"request": {
				"method": "POST",
				"header": [
					{
						"key": "X-Processing-Key",
						"value": "{{key-v2}}",
						"type": "text"
					},
					{
						"key": "X-Processing-Signature",
						"value": "{{sign}}",
						"type": "text"
					},
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{url}}/api/v2/accounts/list",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"accounts",
						"list"
					]
				},
				"description": "This request has 1 saved example below (expand the arrow next to the request name): \"Empty JSON object\". This endpoint takes no parameters. Open the example and click its **Body** tab to see the exact payload -- Postman opens on the Params tab by default, which is always empty here since this API sends its data as a JSON body, not as query parameters."
			},
			"response": [
				{
					"name": "Empty JSON object",
					"originalRequest": {
						"method": "POST",
						"header": [
							{
								"key": "X-Processing-Key",
								"value": "{{key-v2}}",
								"type": "text"
							},
							{
								"key": "X-Processing-Signature",
								"value": "{{sign}}",
								"type": "text"
							},
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{url}}/api/v2/accounts/list",
							"host": [
								"{{url}}"
							],
							"path": [
								"api",
								"v2",
								"accounts",
								"list"
							]
						}
					},
					"status": "OK",
					"code": 200,
					"_postman_previewlanguage": "json",
					"header": [
						{
							"key": "Content-Type",
							"value": "application/json"
						}
					],
					"cookie": [],
					"body": "{\n    \"data\": [\n        {\n            \"currency\": \"BTC\",\n            \"type\": \"crypto\",\n            \"balance\": \"0.04000000\"\n        },\n        {\n            \"currency\": \"USD\",\n            \"type\": \"fiat\",\n            \"balance\": \"10000.00000000\"\n        }\n    ]\n}"
				}
			]
		},
		{
			"name": "Check API status",
			"request": {
				"method": "GET",
				"header": [],
				"url": {
					"raw": "{{url}}/api/v2/ping",
					"host": [
						"{{url}}"
					],
					"path": [
						"api",
						"v2",
						"ping"
					]
				}
			},
			"response": []
		}
	],
	"event": [
		{
			"listen": "prerequest",
			"script": {
				"type": "text/javascript",
				"exec": [
					"let requestString = pm.request.body ? pm.request.body.raw : \"\";",
					"let sign = CryptoJS.HmacSHA512(requestString, pm.variables.get('secret-v2')).toString();",
					"",
					"pm.collectionVariables.set('sign', sign);",
					"",
					"console.log(sign);"
				]
			}
		},
		{
			"listen": "test",
			"script": {
				"type": "text/javascript",
				"exec": [
					""
				]
			}
		}
	],
	"variable": [
		{
			"key": "url",
			"value": "https://app.sandbox.cryptoprocessing.com"
		},
		{
			"key": "key-v2",
			"value": "PUBLIC KEY"
		},
		{
			"key": "secret-v2",
			"value": "SECRET KEY"
		}
	]
}
